PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X PATCH "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-04" \
-d '{ "name": "new-project-name" }'
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
# Target the organization that contains the project.
pc target -o "example-org"
# Update the project name.
pc project update -i $PINECONE_PROJECT_ID -n "new-project-name"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "new-project-name",
"max_pods": 5,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-20T20:19:51.448431Z"
}
ATTRIBUTE VALUE
Name new-project-name
ID 32c8235a-5220-4a80-a9f1-69c24109e6f2
Organization ID -NM7af6f234168c4e44a
Created At 2025-10-20 20:19:51.448431 +0000 UTC
Force Encryption false
Max Pods 5
Projects
Update a project
Update a project’s configuration details. You can update the project’s name, maximum number of Pods, or enable encryption with a customer-managed encryption key (CMEK).
PATCH
/
admin
/
projects
/
{project_id}
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X PATCH "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-04" \
-d '{ "name": "new-project-name" }'
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
# Target the organization that contains the project.
pc target -o "example-org"
# Update the project name.
pc project update -i $PINECONE_PROJECT_ID -n "new-project-name"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "new-project-name",
"max_pods": 5,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-20T20:19:51.448431Z"
}
ATTRIBUTE VALUE
Name new-project-name
ID 32c8235a-5220-4a80-a9f1-69c24109e6f2
Organization ID -NM7af6f234168c4e44a
Created At 2025-10-20 20:19:51.448431 +0000 UTC
Force Encryption false
Max Pods 5
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X PATCH "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-04" \
-d '{ "name": "new-project-name" }'
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
# Target the organization that contains the project.
pc target -o "example-org"
# Update the project name.
pc project update -i $PINECONE_PROJECT_ID -n "new-project-name"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "new-project-name",
"max_pods": 5,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-20T20:19:51.448431Z"
}
ATTRIBUTE VALUE
Name new-project-name
ID 32c8235a-5220-4a80-a9f1-69c24109e6f2
Organization ID -NM7af6f234168c4e44a
Created At 2025-10-20 20:19:51.448431 +0000 UTC
Force Encryption false
Max Pods 5
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Body
application/json
Project details to be updated. Fields that are omitted will not be updated.
Response
The project was successfully updated.
The details of a project.
Was this page helpful?